Package org.eclipse.emf.cdo.lm.reviews

# Interface Authorable

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Subinterfaces:
  `Comment`, `Topic`

All Known Implementing Classes:
  `CommentImpl`, `TopicImpl`

public interface Authorable extends SystemElement
A representation of the model object 'Authorable'.

Since:
  1.2

  The following features are supported:

  - `Id`
  - `Text`
  - `Author`
  - `Creation Time`
  - `Edit Time`
See Also:
  - `ReviewsPackage.getAuthorable()`
Generated
Model
  interface="true" abstract="true"

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthor()`
Returns the value of the 'Author' attribute.
`long`
`getCreationTime()`
Returns the value of the 'Creation Time' attribute.
`long`
`getEditTime()`
Returns the value of the 'Edit Time' attribute.
`int`
`getId()`
Returns the value of the 'Id' attribute.
`String`
`getText()`
Returns the value of the 'Text' attribute.
`void`
`setAuthor(String value)`
Sets the value of the '`Author`' attribute.
`void`
`setCreationTime(long value)`
Sets the value of the '`Creation Time`' attribute.
`void`
`setEditTime(long value)`
Sets the value of the '`Edit Time`' attribute.
`void`
`setId(int value)`
Sets the value of the '`Id`' attribute.
`void`
`setText(String value)`
Sets the value of the '`Text`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getId

int getId()
Returns the value of the 'Id' attribute.

Returns:
  the value of the 'Id' attribute.
See Also:
  - `setId(int)`
  - `ReviewsPackage.getAuthorable_Id()`
Generated
Model
  required="true"

### setId

void setId(int value)
Sets the value of the '`Id`' attribute.

Parameters:
  `value` - the new value of the 'Id' attribute.
See Also:
  - `getId()`
Generated

### getText

String getText()
Returns the value of the 'Text' attribute.

Returns:
  the value of the 'Text' attribute.
See Also:
  - `setText(String)`
  - `ReviewsPackage.getAuthorable_Text()`
Generated
Model
  required="true"

### setText

void setText(String value)
Sets the value of the '`Text`' attribute.

Parameters:
  `value` - the new value of the 'Text' attribute.
See Also:
  - `getText()`
Generated

### getAuthor

String getAuthor()
Returns the value of the 'Author' attribute.

Returns:
  the value of the 'Author' attribute.
See Also:
  - `setAuthor(String)`
  - `ReviewsPackage.getAuthorable_Author()`
Generated
Model
  required="true"

### setAuthor

void setAuthor(String value)
Sets the value of the '`Author`' attribute.

Parameters:
  `value` - the new value of the 'Author' attribute.
See Also:
  - `getAuthor()`
Generated

### getCreationTime

long getCreationTime()
Returns the value of the 'Creation Time' attribute.

Returns:
  the value of the 'Creation Time' attribute.
See Also:
  - `setCreationTime(long)`
  - `ReviewsPackage.getAuthorable_CreationTime()`
Generated
Model

### setCreationTime

void setCreationTime(long value)
Sets the value of the '`Creation Time`' attribute.

Parameters:
  `value` - the new value of the 'Creation Time' attribute.
See Also:
  - `getCreationTime()`
Generated

### getEditTime

long getEditTime()
Returns the value of the 'Edit Time' attribute.

Returns:
  the value of the 'Edit Time' attribute.
See Also:
  - `setEditTime(long)`
  - `ReviewsPackage.getAuthorable_EditTime()`
Generated
Model

### setEditTime

void setEditTime(long value)
Sets the value of the '`Edit Time`' attribute.

Parameters:
  `value` - the new value of the 'Edit Time' attribute.
See Also:
  - `getEditTime()`
Generated